Page MenuHomePhabricator

Drop page create event data on mysql
Closed, ResolvedPublic3 Story Points

Description

We used this tables in the past to build dashboards in dashiki, the totality of this data is in mediawiki and much of it in event form exists also on hadoop. I think it can be safely deleted from MySQL. Pinging @Ottomata and making ticket for team

Event Timeline

Nuria renamed this task from Drop page to Drop page create event data on mysql.Sep 26 2019, 1:43 AM
Nuria created this task.

Space that can be potentially recovered:

elukey@db1107:~$ du -hsc /srv/sqldata/_log_PageCreation_7481635_*
40K	/srv/sqldata/_log_PageCreation_7481635_key_ix_PageCreation_7481635_timestamp_1790459b5_3_1b_P_0.tokudb
40K	/srv/sqldata/_log_PageCreation_7481635_key_ix_PageCreation_7481635_uuid_1790459ad_3_1b_B_0.tokudb
32K	/srv/sqldata/_log_PageCreation_7481635_main_179045994_2_1b.tokudb
64K	/srv/sqldata/_log_PageCreation_7481635_status_179045994_1_1b.tokudb
176K	total

elukey@db1108:~$ du -hsc /srv/sqldata/_log_PageCreation_*
32K	/srv/sqldata/_log_PageCreation_7481635_key_ix_PageCreation_7481635_timestamp_19bed9_4_1d.tokudb
32K	/srv/sqldata/_log_PageCreation_7481635_key_ix_PageCreation_7481635_uuid_19bed9_3_1d.tokudb
32K	/srv/sqldata/_log_PageCreation_7481635_main_19bed9_2_1d.tokudb
64K	/srv/sqldata/_log_PageCreation_7481635_status_19bed9_1_1d.tokudb
160K	total
fdans triaged this task as High priority.Sep 30 2019, 3:59 PM
fdans moved this task from Incoming to Operational Excellence on the Analytics board.
fdans added a subscriber: fdans.

+1 to deletion

Mentioned in SAL (#wikimedia-operations) [2019-10-08T05:44:02Z] <elukey> drop PageCreation_7481635 table from the log db on db1107/db1108 - T233892

elukey claimed this task.Oct 8 2019, 5:44 AM
elukey lowered the priority of this task from High to Medium.
elukey set the point value for this task to 3.
elukey moved this task from Next Up to Done on the Analytics-Kanban board.
Nuria closed this task as Resolved.Oct 9 2019, 11:25 PM